using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Threading;
using System.ComponentModel;

namespace Benday.SynchronousSilverlightWcf.Business
{
    public class TimeInformationViewModel : ViewModelBase
    {
        public TimeInformationViewModel()
        {

        }

        private DateTime m_currentTime;
        public DateTime CurrentTime
        {
            get
            {
                return m_currentTime;
            }
            set
            {
                m_currentTime = value;
                RaisePropertyChangedEvent("CurrentTime");
            }
        }

        private long m_ticks;
        public long Ticks
        {
            get
            {
                return m_ticks;
            }
            set
            {
                m_ticks = value;
                RaisePropertyChangedEvent("Ticks");
            }
        }

        private string m_isOddOrEven;
        public string IsOddOrEven
        {
            get
            {
                return m_isOddOrEven;
            }
            set
            {
                m_isOddOrEven = value;
                RaisePropertyChangedEvent("IsOddOrEven");
            }
        }

    }
}
