﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Threading;
using Benday.SynchronousSilverlightWcf.Business;

namespace Benday.SynchronousSilverlightWcf
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void m_btnUpdate_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                ThreadPool.QueueUserWorkItem(delegate(object o)
                {
                    TimeInformationViewModel viewModel = new TimeInformationViewModel();

                    new TimeFacade().UpdateTimeInfo(viewModel);

                    Deployment.Current.Dispatcher.BeginInvoke(() => this.DataContext = viewModel);
                });
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }
    }
}
